#PrinterLib_Version = "V1.07 (PB4.10)"

#PRINT_POINTS                = 0
#PRINT_INCHES                = 1
#PRINT_MM                    = 2

#PD_RESULT_CANCEL            = 0
#PD_RESULT_PRINT             = 1
#PD_RESULT_APPLY             = 2
#PD_NOCURRENTPAGE            = $00800000
#PD_EXCLUSIONFLAGS           = $01000000
#PD_USELARGETEMPLATE         = $10000000

#PRINTER_ATTRIBUTE_ENABLE_DEVQ       = $00000080
#PRINTER_ATTRIBUTE_KEEPPRINTEDJOBS   = $00000100
#PRINTER_ATTRIBUTE_DO_COMPLETE_FIRST = $00000200
#PRINTER_ATTRIBUTE_RAW_ONLY          = $00001000
#PRINTER_ATTRIBUTE_PUBLISHED         = $00002000
#PRINTER_ATTRIBUTE_FAX               = $00004000

#PRINTER_STATUS_SERVER_UNKNOWN       =$00800000
#PRINTER_STATUS_POWER_SAVE           =$01000000

#PRINT_ATTRIBUTES            = 0
#PRINT_STATUS                = 1

;#DEFAULT_QUALITY=0
;#DRAFT_QUALITY=1
;#PROOF_QUALITY=2
#NONANTIALIASED_QUALITY=3
#ANTIALISED_QUALITY=4
#CLEARTYPE_QUALITY=5

#TM_HEIGHT                   = 0
#TM_ASCENT                   = 1
#TM_DESCENT                  = 2
#TM_INTERNALLEADING          = 3
#TM_EXTERNALLEADING          = 4
#TM_AVECHARWIDTH             = 5
#TM_MAXCHARWIDTH             = 6
#TM_WEIGHT                   = 7
#TM_OVERHANG                 = 8
#TM_DIGITIZEDASPECTX         = 9
#TM_DIGITIZEDASPECTY         = 10
#TM_FIRSTCHAR                = 11
#TM_LASTCHAR                 = 12
#TM_DEFAULTCHAR              = 13
#TM_BREAKCHAR                = 14
#TM_ITALIC                   = 15
#TM_UNDERLINED               = 16
#TM_STRUCKOUT                = 17
#TM_PITCHANDFAMILY           = 18
#TM_CHARSET                  = 19
#OTM_FILLER                  = 20
#OTM_PANOSE_TYPE             = 21
#OTM_PANOSE_STYLE            = 22
#OTM_PANOSE_WEIGHT           = 23
#OTM_PANOSE_PROPORTION       = 24
#OTM_PANOSE_CONTRAST         = 25
#OTM_PANOSE_STROKEV          = 26
#OTM_PANOSE_ARMSTYLE         = 27
#OTM_PANOSE_LETTERFORM       = 28
#OTM_PANOSE_MIDLINE          = 29
#OTM_PANOSE_XHEIGHT          = 30
#OTM_FSSELECTION             = 31
#OTM_FSTYPE                  = 32
#OTM_SCHARSLOPERISE          = 33
#OTM_SCHARSLOPERUN           = 34
#OTM_IIALICANGLE             = 35
#OTM_EMSQUARE                = 36
#OTM_ASCENT                  = 37
#OTM_DESCENT                 = 38
#OTM_LINEGAP                 = 39
#OTM_CAPEMHEIGHT             = 40
#OTM_XHEIGHT                 = 41
#OTM_RCFONTBOX_LEFT          = 42
#OTM_RCFONTBOX_TOP           = 43
#OTM_RCFONTBOX_RIGHT         = 44
#OTM_RCFONTBOX_BOTTOM        = 45
#OTM_MACASCENT               = 46
#OTM_MACDESCENT              = 47
#OTM_MACLINEGAP              = 48
#OTM_USMINIMUMPPEM           = 49
#OTM_PTSUBSCRIPTSIZEX        = 50
#OTM_PTSUBSCRIPTSIZEY        = 51
#OTM_PTSUBSCRIPTOFFSETX      = 52
#OTM_PTSUBSCRIPTOFFSETY      = 53
#OTM_PTSUPERSCRIPTSIZEX      = 54
#OTM_PTSUPERSCRIPTSIZEY      = 54
#OTM_PTSUPERSCRIPTOFFSETX    = 55
#OTM_PTSUPERSCRIPTOFFSETY    = 56
#OTM_SSTRIKEOUTSIZE          = 57
#OTM_SSTRIKEOUTPOSITION      = 58
#OTM_SUNDERSCORESIZE         = 59
#OTM_SUNDERSCOREPOSITION     = 60
#OTM_PFAMILYNAME             = 61
#OTM_PFACENAME               = 62
#OTM_PSTYLENAME              = 63
#OTM_PFULLNAME               = 64

;#TA_NOUPDATECP               = 0
;#TA_UPDATECP                 = 1

;#TA_LEFT                     = 0
;#TA_RIGHT                    = 2
;#TA_CENTER                   = 6

;#TA_TOP                      = 0
;#TA_BOTTOM                   = 8
;#TA_BASELINE                 = 24
;#TA_RTLREADING               = 256

;#TA_MASK                     = 24|6|1|256 ; #TA_BASELINE|#TA_CENTER|#TA_UPDATECP|#TA_RTLREADING

;#VTA_BASELINE                = #TA_BASELINE
;#VTA_LEFT                    = #TA_BOTTOM
;#VTA_RIGHT                   = #TA_TOP
;#VTA_CENTER                  = #TA_CENTER
;#VTA_BOTTOM                  = #TA_RIGHT
;#VTA_TOP                     = #TA_LEFT

#DC_FIELDS            =   1
#DC_PAPERS            =   2
#DC_PAPERSIZE         =   3
#DC_MINEXTENT         =   4
#DC_MAXEXTENT         =   5
#DC_BINS              =   6
#DC_DUPLEX            =   7
#DC_SIZE              =   8
#DC_EXTRA             =   9
#DC_VERSION           =  10
#DC_DRIVER            =  11
#DC_BINNAMES          =  12
#DC_ENUMRESOLUTIONS   =  13
#DC_FILEDEPENDENCIES  =  14
#DC_TRUETYPE          =  15
#DC_PAPERNAMES        =  16
#DC_ORIENTATION       =  17
#DC_COPIES            =  18
#DC_BINADJUST         =  19
#DC_EMF_COMPLIANT     =  20
#DC_DATATYPE_PRODUCED =  21
#DC_COLLATE           =  22
#DC_MANUFACTURER      =  23
#DC_MODEL             =  24
#DC_PERSONALITY       =  25
#DC_PRINTRATE         =  26
#DC_PRINTRATEUNIT     =  27
#DC_PRINTERMEM        =  28
#DC_MEDIAREADY        =  29
#DC_STAPLE            =  30
#DC_PRINTRATEPPM      =  31
#DC_COLORDEVICE       =  32
#DC_NUP               =  33
#DC_MEDIATYPENAMES    =  34
#DC_MEDIATYPES        =  35

#PRINTRATEUNIT_PPM    =   1
#PRINTRATEUNIT_CPS    =   2
#PRINTRATEUNIT_LPM    =   3
#PRINTRATEUNIT_IPM    =   4

#DMBIN_UPPER          =   1
#DMBIN_ONLYONE        =   1
#DMBIN_LOWER          =   2
#DMBIN_MIDDLE         =   3
#DMBIN_MANUAL         =   4
#DMBIN_ENVELOPE       =   5
#DMBIN_ENVMANUAL      =   6
#DMBIN_AUTO           =   7
#DMBIN_TRACTOR        =   8
#DMBIN_SMALLFMT       =   9
#DMBIN_LARGEFMT       =  10
#DMBIN_LARGECAPACITY  =  11
#DMBIN_CASSETTE       =  14
#DMBIN_FORMSOURCE     =  15

#DMBIN_USER           = 256

#DMPAPER_LETTER                        =   1 ; US Letter 8 1/2 x 11 in
#DMPAPER_LETTERSMALL                   =   2 ; US Letter Small 8 1/2 x 11 in
#DMPAPER_TABLOID                       =   3 ; US Tabloid 11 x 17 in
#DMPAPER_LEDGER                        =   4 ; US Ledger 17 x 11 in
#DMPAPER_LEGAL                         =   5 ; US Legal 8 1/2 x 14 in
#DMPAPER_STATEMENT                     =   6 ; US Statement 5 1/2 x 8 1/2 in
#DMPAPER_EXECUTIVE                     =   7 ; US Executive 7 1/4 x 10 1/2 in
#DMPAPER_A3                            =   8 ; A3 297 x 420 mm
#DMPAPER_A4                            =   9 ; A4 210 x 297 mm
#DMPAPER_A4SMALL                       =  10 ; A4 Small 210 x 297 mm
#DMPAPER_A5                            =  11 ; A5 148 x 210 mm
#DMPAPER_B4                            =  12 ; B4 (JIS) 250 x 354
#DMPAPER_B5                            =  13 ; B5 (JIS) 182 x 257 mm
#DMPAPER_FOLIO                         =  14 ; Folio 8 1/2 x 13 in
#DMPAPER_QUARTO                        =  15 ; Quarto 215 x 275 mm
#DMPAPER_10X14                         =  16 ; 10 x 14 in
#DMPAPER_11X17                         =  17 ; 11 x 17 in
#DMPAPER_NOTE                          =  18 ; US Note 8 1/2 x 11 in
#DMPAPER_ENV_9                         =  19 ; US Envelope #9 3 7/8 x 8 7/8
#DMPAPER_ENV_10                        =  20 ; US Envelope #10 4 1/8 x 9 1/2
#DMPAPER_ENV_11                        =  21 ; US Envelope #11 4 1/2 x 10 3/8
#DMPAPER_ENV_12                        =  22 ; US Envelope #12 4 \276 x 11
#DMPAPER_ENV_14                        =  23 ; US Envelope #14 5 x 11 1/2
#DMPAPER_CSHEET                        =  24 ; C size sheet
#DMPAPER_DSHEET                        =  25 ; D size sheet
#DMPAPER_ESHEET                        =  26 ; E size sheet
#DMPAPER_ENV_DL                        =  27 ; Envelope DL 110 x 220mm
#DMPAPER_ENV_C5                        =  28 ; Envelope C5 162 x 229 mm
#DMPAPER_ENV_C3                        =  29 ; Envelope C3 324 x 458 mm
#DMPAPER_ENV_C4                        =  30 ; Envelope C4 229 x 324 mm
#DMPAPER_ENV_C6                        =  31 ; Envelope C6 114 x 162 mm
#DMPAPER_ENV_C65                       =  32 ; Envelope C65 114 x 229 mm
#DMPAPER_ENV_B4                        =  33 ; Envelope B4 250 x 353 mm
#DMPAPER_ENV_B5                        =  34 ; Envelope B5 176 x 250 mm
#DMPAPER_ENV_B6                        =  35 ; Envelope B6 176 x 125 mm
#DMPAPER_ENV_ITALY                     =  36 ; Envelope 110 x 230 mm
#DMPAPER_ENV_MONARCH                   =  37 ; US Envelope Monarch 3.875 x 7.5 in
#DMPAPER_ENV_PERSONAL                  =  38 ; 6 3/4 US Envelope 3 5/8 x 6 1/2 in
#DMPAPER_FANFOLD_US                    =  39 ; US Std Fanfold 14 7/8 x 11 in
#DMPAPER_FANFOLD_STD_GERMAN            =  40 ; German Std Fanfold 8 1/2 x 12 in
#DMPAPER_FANFOLD_LGL_GERMAN            =  41 ; German Legal Fanfold 8 1/2 x 13 in
#DMPAPER_ISO_B4                        =  42 ; B4 (ISO) 250 x 353 mm
#DMPAPER_JAPANESE_POSTCARD             =  43 ; Japanese Postcard 100 x 148 mm
#DMPAPER_9X11                          =  44 ; 9 x 11 in
#DMPAPER_10X11                         =  45 ; 10 x 11 in
#DMPAPER_15X11                         =  46 ; 15 x 11 in
#DMPAPER_ENV_INVITE                    =  47 ; Envelope Invite 220 x 220 mm
#DMPAPER_RESERVED_48                   =  48 ; RESERVED--DO Not USE
#DMPAPER_RESERVED_49                   =  49 ; RESERVED--DO Not USE
#DMPAPER_LETTER_EXTRA                  =  50 ; US Letter Extra 9 \275 x 12 in
#DMPAPER_LEGAL_EXTRA                   =  51 ; US Legal Extra 9 \275 x 15 in
#DMPAPER_TABLOID_EXTRA                 =  52 ; US Tabloid Extra 11.69 x 18 in
#DMPAPER_A4_EXTRA                      =  53 ; A4 Extra 9.27 x 12.69 in
#DMPAPER_LETTER_TRANSVERSE             =  54 ; Letter Transverse 8 \275 x 11 in
#DMPAPER_A4_TRANSVERSE                 =  55 ; A4 Transverse 210 x 297 mm
#DMPAPER_LETTER_EXTRA_TRANSVERSE       =  56 ; Letter Extra Transverse 9\275 x 12 in
#DMPAPER_A_PLUS                        =  57 ; SuperA/SuperA/A4 227 x 356 mm
#DMPAPER_B_PLUS                        =  58 ; SuperB/SuperB/A3 305 x 487 mm
#DMPAPER_LETTER_PLUS                   =  59 ; US Letter Plus 8.5 x 12.69 in
#DMPAPER_A4_PLUS                       =  60 ; A4 Plus 210 x 330 mm
#DMPAPER_A5_TRANSVERSE                 =  61 ; A5 Transverse 148 x 210 mm
#DMPAPER_B5_TRANSVERSE                 =  62 ; B5 (JIS) Transverse 182 x 257 mm
#DMPAPER_A3_EXTRA                      =  63 ; A3 Extra 322 x 445 mm
#DMPAPER_A5_EXTRA                      =  64 ; A5 Extra 174 x 235 mm
#DMPAPER_B5_EXTRA                      =  65 ; B5 (ISO) Extra 201 x 276 mm
#DMPAPER_A2                            =  66 ; A2 420 x 594 mm
#DMPAPER_A3_TRANSVERSE                 =  67 ; A3 Transverse 297 x 420 mm
#DMPAPER_A3_EXTRA_TRANSVERSE           =  68 ; A3 Extra Transverse 322 x 445 mm
#DMPAPER_DBL_JAPANESE_POSTCARD         =  69 ; Japanese Double Postcard 200 x 148 mm
#DMPAPER_A6                            =  70 ; A6 105 x 148 mm
#DMPAPER_JENV_KAKU2                    =  71 ; Japanese Envelope Kaku #2
#DMPAPER_JENV_KAKU3                    =  72 ; Japanese Envelope Kaku #3
#DMPAPER_JENV_CHOU3                    =  73 ; Japanese Envelope Chou #3
#DMPAPER_JENV_CHOU4                    =  74 ; Japanese Envelope Chou #4
#DMPAPER_LETTER_ROTATED                =  75 ; Letter Rotated 11 x 8 1/2 11 in
#DMPAPER_A3_ROTATED                    =  76 ; A3 Rotated 420 x 297 mm
#DMPAPER_A4_ROTATED                    =  77 ; A4 Rotated 297 x 210 mm
#DMPAPER_A5_ROTATED                    =  78 ; A5 Rotated 210 x 148 mm
#DMPAPER_B4_JIS_ROTATED                =  79 ; B4 (JIS) Rotated 364 x 257 mm
#DMPAPER_B5_JIS_ROTATED                =  80 ; B5 (JIS) Rotated 257 x 182 mm
#DMPAPER_JAPANESE_POSTCARD_ROTATED     =  81 ; Japanese Postcard Rotated 148 x 100 mm
#DMPAPER_DBL_JAPANESE_POSTCARD_ROTATED =  82 ; Double Japanese Postcard Rotated 148 x 200 mm
#DMPAPER_A6_ROTATED                    =  83 ; A6 Rotated 148 x 105 mm
#DMPAPER_JENV_KAKU2_ROTATED            =  84 ; Japanese Envelope Kaku #2 Rotated
#DMPAPER_JENV_KAKU3_ROTATED            =  85 ; Japanese Envelope Kaku #3 Rotated
#DMPAPER_JENV_CHOU3_ROTATED            =  86 ; Japanese Envelope Chou #3 Rotated
#DMPAPER_JENV_CHOU4_ROTATED            =  87 ; Japanese Envelope Chou #4 Rotated
#DMPAPER_B6_JIS                        =  88 ; B6 (JIS) 128 x 182 mm
#DMPAPER_B6_JIS_ROTATED                =  89 ; B6 (JIS) Rotated 182 x 128 mm
#DMPAPER_12X11                         =  90 ; 12 x 11 in
#DMPAPER_JENV_YOU4                     =  91 ; Japanese Envelope You #4
#DMPAPER_JENV_YOU4_ROTATED             =  92 ; Japanese Envelope You #4 Rotated
#DMPAPER_P16K                          =  93 ; PRC 16K 146 x 215 mm
#DMPAPER_P32K                          =  94 ; PRC 32K 97 x 151 mm
#DMPAPER_P32KBIG                       =  95 ; PRC 32K(Big) 97 x 151 mm
#DMPAPER_PENV_1                        =  96 ; PRC Envelope #1 102 x 165 mm
#DMPAPER_PENV_2                        =  97 ; PRC Envelope #2 102 x 176 mm
#DMPAPER_PENV_3                        =  98 ; PRC Envelope #3 125 x 176 mm
#DMPAPER_PENV_4                        =  99 ; PRC Envelope #4 110 x 208 mm
#DMPAPER_PENV_5                        = 100 ; PRC Envelope #5 110 x 220 mm
#DMPAPER_PENV_6                        = 101 ; PRC Envelope #6 120 x 230 mm
#DMPAPER_PENV_7                        = 102 ; PRC Envelope #7 160 x 230 mm
#DMPAPER_PENV_8                        = 103 ; PRC Envelope #8 120 x 309 mm
#DMPAPER_PENV_9                        = 104 ; PRC Envelope #9 229 x 324 mm
#DMPAPER_PENV_10                       = 105 ; PRC Envelope #10 324 x 458 mm
#DMPAPER_P16K_ROTATED                  = 106 ; PRC 16K Rotated
#DMPAPER_P32K_ROTATED                  = 107 ; PRC 32K Rotated
#DMPAPER_P32KBIG_ROTATED               = 108 ; PRC 32K(Big) Rotated
#DMPAPER_PENV_1_ROTATED                = 109 ; PRC Envelope #1 Rotated 165 x 102 mm
#DMPAPER_PENV_2_ROTATED                = 110 ; PRC Envelope #2 Rotated 176 x 102 mm
#DMPAPER_PENV_3_ROTATED                = 111 ; PRC Envelope #3 Rotated 176 x 125 mm
#DMPAPER_PENV_4_ROTATED                = 112 ; PRC Envelope #4 Rotated 208 x 110 mm
#DMPAPER_PENV_5_ROTATED                = 113 ; PRC Envelope #5 Rotated 220 x 110 mm
#DMPAPER_PENV_6_ROTATED                = 114 ; PRC Envelope #6 Rotated 230 x 120 mm
#DMPAPER_PENV_7_ROTATED                = 115 ; PRC Envelope #7 Rotated 230 x 160 mm
#DMPAPER_PENV_8_ROTATED                = 116 ; PRC Envelope #8 Rotated 309 x 120 mm
#DMPAPER_PENV_9_ROTATED                = 117 ; PRC Envelope #9 Rotated 324 x 229 mm
#DMPAPER_PENV_10_ROTATED               = 118 ; PRC Envelope #10 Rotated 458 x 324 mm
;119 ?
;120 ?
;121 ?
;122 ?
;123 ?
;124 ?
;125 ?
;126 ?
;127 ?
;128 ?
;129 ?
;130 ?
#DMPAPER_USER                          = 256 ; 

Structure PRINTPAGERANGE
  nFromPage.l
  nToPage.l
EndStructure

Structure PRINTDLGEX
  lStructSize.l
  hwndOwner.l
  hDevMode.l
  hDevNames.l
  hDC.l
  Flags.l
  Flags2.l
  ExclusionFlags.l
  nPageRanges.l
  nMaxPageRanges.l
  lpPageRanges.l
  nMinPage.l
  nMaxPage.l
  nCopies.l
  hInstance.l
  lpPrintTemplateName.l
  lpCallback.l
  nPropertyPages.l
  lphPropertyPages.l
  nStartPage.l
  dwResultAction.l
EndStructure

Structure GRADIENT_TRIANGLE
  Vertex1.l
  Vertex2.l
  Vertex3.l
EndStructure

Structure PrintLib_Fonts
  ID.l
  Name.s
  Style.s
  Script.s
EndStructure
; IDE Options = PureBasic 4.10 Beta 1 (Windows - x86)
; Folding = -